TIBCO EMS .NET API 8.5 TIBCO EMS .NET API 8.5

- Main Page
- Related Pages
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | List of all members
TIBCO.EMS.TopicConnectionFactory Class Reference

Backward compatibility. Administered object for creating topic connections. More...

Inheritance diagram for TIBCO.EMS.TopicConnectionFactory:

## Public Member Functions
| TopicConnectionFactory ()
| Construct an empty TopicConnectionFactory More...
| TopicConnectionFactory (string serverUrl)
| Construct an TopicConnectionFactory given the server url More...
| TopicConnectionFactory (string serverUrl, string clientId)
| Construct an TopicConnectionFactory given the server url and client id. More...
| TopicConnectionFactory (string serverUrl, string clientId, Hashtable properties)
| Construct an TopicConnectionFactory given the server url, client id and properties More...
override Object | Clone ()
| Implementation of ICloneable. Overrides the cloning process. More...
TopicConnection | CreateTopicConnection ()
| Create a topic connection object. More...
TopicConnection | CreateTopicConnection (string userName, string password)
| Create a topic connection object for a specific user. More...
Public Member Functions inherited from TIBCO.EMS.ConnectionFactory
Connection | CreateConnection ()
| Create a connection More...
Connection | CreateConnection (string userName, string password)
| Create a connection object with the given user name and password. More...
| ConnectionFactory ()
| Construct an empty ConnectionFactory More...
| ConnectionFactory (string serverUrl)
| Construct a ConnectionFactory given server url More...
| ConnectionFactory (string serverUrl, string clientId)
| Construct a ConnectionFactory given the server url, and client id More...
| ConnectionFactory (string serverUrl, string clientId, Hashtable properties)
| Construct a ConnectionFactory given server url, client id and properties More...
override Object | Clone ()
| Overrides the cloning process More...
void | SetServerUrl (String serverUrl)
| set the server url. More...
void | SetClientID (String clientID)
| Set the client id More...
void | SetMetric (int metric)
| Set the load balance metric More...
void | SetConnAttemptCount (int attempts)
| Set the number of connection attempts More...
void | SetConnAttemptDelay (int delay)
| Set delay between connection attempts More...
void | SetReconnAttemptCount (int attempts)
| Set number of reconnect attempts More...
void | SetReconnAttemptDelay (int delay)
| Set delay between reconnect attempts More...
void | SetUserName (String username)
| Set user name More...
void | SetUserPassword (String password)
| Set user password More...
void | SetConnAttemptTimeout (int timeout)
| Set the Connect Attempt timeout for a given connection. More...
void | SetReconnAttemptTimeout (int timeout)
| Set the Reconnect Attempt timeout for a given connection. More...
void | SetMulticastEnabled (bool enabled)
| Set whether MessageConsumers subscribed to a multicast-enabled topic will receive messages over multicast. More...
void | SetMulticastDaemon (string port)
| Set the port on which the client will connect to the multicast daemon. More...
void | SetSSLTrace (bool trace)
| Enable or disable tracing on the client side. More...
void | SetSSLAuthOnly (bool authOnly)
| Enable or disable encryption/decryption of the message data over the SSL connection More...
void | SetTargetHostName (String targetHostName)
| Set the name of the target EMS server. More...
void | SetCertificateStoreType (EMSSSLStoreType type, Object storeInfo)
| Set the certificate store type and info. More...
Object | GetCertificateStore ()
| Get the certificate store info object associated with this connection factory. More...
void | SetHostNameVerifier (EMSSSLHostNameVerifier verifier)
| Set the custom host name verifier. Set to null to remove custom host name verifier. More...
void | SetClientTracer (System.IO.StreamWriter tracer)
| Set client tracer to given output stream. More...
void | SetSSLProxy (String host, int port)
| Set the connection factory's parameters for connecting through an SSL proxy. More...
void | SetSSLProxyAuth (String username, String password)
| Set a connection factory's username and password for connecting through an SSL proxy. More...
String | GetSSLProxyHost ()
| Get the SSL proxy host from this connection factory. More...
int | GetSSLProxyPort ()
| Get the SSL proxy port from this connection factory. More...
String | GetSSLProxyUser ()
| Get the SSL proxy username from a connection factory. More...
String | GetSSLProxyPassword ()
| Get the SSL proxy password from a connection factory. More...

## Protected Member Functions
| TopicConnectionFactory (SerializationInfo info, StreamingContext context)
| ISerializable constructor More...
Protected Member Functions inherited from TIBCO.EMS.ConnectionFactory
| ConnectionFactory (SerializationInfo info, StreamingContext context)
| ISerializable constructor More...

## Detailed Description

Backward compatibility. Administered object for creating topic connections.

Note: This class is provided for backward compatibility to support older EMS clients programs. New clients should use the ConnectionFactory class instead.

A client uses a TopicConnectionFactory object to create TopicConnection objects with the EMS Server.

This class is provided only to support older clients. New clients should use the ConnectionFactory object.

## Constructor & Destructor Documentation

TIBCO.EMS.TopicConnectionFactory.TopicConnectionFactory | ( |  | ) |
| inline

Construct an empty TopicConnectionFactory

TIBCO.EMS.TopicConnectionFactory.TopicConnectionFactory | ( | string | serverUrl | ) |
| inline

Construct an TopicConnectionFactory given the server url

Reconnect and Fault Tolerance

To enable reconnection behavior and fault tolerance, the connection factory's server URL parameter must be a comma-separated list of two or more URLs. To enable client reconnection in a situation with only one server, you may supply two copies of that server's URL (for example, tcp://localhost:7222,tcp://localhost:7222)

Parameters

  serverUrl | The url to the server

TIBCO.EMS.TopicConnectionFactory.TopicConnectionFactory | ( | string | serverUrl,
|  | string | clientId
| ) |  |
| inline

Construct an TopicConnectionFactory given the server url and client id.

Reconnect and Fault Tolerance

To enable reconnection behavior and fault tolerance, the connection factory's server URL parameter must be a comma-separated list of two or more URLs. To enable client reconnection in a situation with only one server, you may supply two copies of that server's URL (for example, tcp://localhost:7222,tcp://localhost:7222)

Parameters

  serverUrl | The url to the server
  clientId | The id to the client

TIBCO.EMS.TopicConnectionFactory.TopicConnectionFactory | ( | string | serverUrl,
|  | string | clientId,
|  | Hashtable | properties
| ) |  |
| inline

Construct an TopicConnectionFactory given the server url, client id and properties

Reconnect and Fault Tolerance

To enable reconnection behavior and fault tolerance, the connection factory's server URL parameter must be a comma-separated list of two or more URLs. To enable client reconnection in a situation with only one server, you may supply two copies of that server's URL (for example, tcp://localhost:7222,tcp://localhost:7222)

Parameters

  serverUrl | The url to the server
  clientId | The id to the client
  properties | The properties for creating connection such as username and password

TIBCO.EMS.TopicConnectionFactory.TopicConnectionFactory | ( | SerializationInfo | info,
|  | StreamingContext | context
| ) |  |
| inline protected

ISerializable constructor

## Member Function Documentation

override Object TIBCO.EMS.TopicConnectionFactory.Clone | ( |  | ) |
| inline

Implementation of ICloneable. Overrides the cloning process.

Returns
  A object that is a clone of this TopicConnectionFactory instance.

TopicConnection TIBCO.EMS.TopicConnectionFactory.CreateTopicConnection | ( |  | ) |
| inline

Create a topic connection object.

The connection object presents a default user identity. If the server configuration permits that user, then the call succeeds.

Returns
  The newly created TopicConnection.

TopicConnection TIBCO.EMS.TopicConnectionFactory.CreateTopicConnection | ( | string | userName,
|  | string | password
| ) |  |
| inline

Create a topic connection object for a specific user.

Parameters

  userName | The username to use to create connection.
  password | Authenticate the user identity with this password.

Returns
  The newly created TopicConnection.